<%@ page contentType="text/html; encoding=windows-1250;charset=windows-1250" %>
<%@ page import="cviceni3.*" %>
<%@ taglib uri="/WEB-INF/fmt.tld" prefix="fmt" %>
<%@ taglib uri="/WEB-INF/c.tld"  prefix="c" %>

<%--
  Tady mte praktickou ukzku pouit kontextu session. Pokud by jste zmnili scope na request a zkoprovali
  tabulku, kter je v priklad1.jsp, tak zjistte, e se budou vypisovat jin data. Na rozdl od vpisu
  stejnho kontextu session. Tlo tady uveden se nezobraz a promnn uivatel bude obsahovat
  stle seznam ze stranky priklad1.jsp (teda pokud jste ji otevreli pred touto strankou.
--%>
<jsp:useBean id="uzivatele" class="cviceni3.SeznamUzivatelu" scope="session">
<%
   uzivatele.uloz(new Uzivatel("wal314", "Johnny",  "Walker"));
   uzivatele.uloz(new Uzivatel("bon007", "James",   "Bond"));
   uzivatele.uloz(new Uzivatel("gat032", "Bill", "Gates"));
%>
</jsp:useBean>

<jsp:useBean id="now" class="java.util.Date" />
<fmt:setLocale value="cs-CZ" />

<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=windows-1250">
    <meta http-equiv="Content-Language" content="cs">
    <title>Cvien 4</title>
  </head>
  <body>
  <h2>JSTL 2</h2>
   <%--
   Doplte kd pro vpis seznamu parametr pomoc znaky forEach.
   V rmci vpisu vypiste nejprve index a nasledne az samotnou polozku

  V rmci varStatus mte monost sledovat informace o stavu cyklu
  nap.
  index, count, first,last

  JSTL nabz dal automatick promnn. Jednou z nich je i param, ve kter jsou uloeny
  hodnoty jednotlivch parametr requestu. Vpis samotn promnn vm d retezec ve tvaru jmeno=hodnota,
  ale pokud vte nzev parametru, tak jej mete pout v rmci tekov notace tj. nap.
  <c:out value="${param.arg1" />
  --%>
   <c:forEach var="p" varStatus="status" items="${param}">
     <c:out value="${status.index}" /> -
     <c:out value="${p}" /><br />
   </c:forEach>
  </body>
  <br />
  Dnes je: <fmt:formatDate value="${now}" />.
</html>
